Ana içeriğe atla

Bu tarayıcı artık desteklenmiyor.

En son özelliklerden, güvenlik güncelleştirmelerinden ve teknik destekten faydalanmak için Microsoft Edge’e yükseltin.

Microsoft Edge'i indirin Internet Explorer ve Microsoft Edge hakkında daha fazla bilgi
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Create a session

POST /agents/{agent_name}/endpoint/sessions

Creates a new session for an agent endpoint. The endpoint resolves the backing agent version from version_indicator and enforces session ownership using the provided user identity for session-mutating operations.

Yol parametreleri

agent_name string gerekli

The name of the agent to create a session for.

Sorgu parametreleri

api-version string gerekli

The API version to use for this operation.

İstek Gövdesi

Content-Type: application/json
agent_session_id string

Optional caller-provided session ID. If specified, it must be unique within the agent endpoint. Auto-generated if omitted.

version_indicator version_ref gerekli

Version indicator determining which agent version backs the session.

Aşağıdakilerden biri:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum gerekli

Discriminator value for version_ref.

version_ref
agent_version string gerekli

The agent version identifier returned by the agent version APIs.

Yanıtlar

The request has succeeded and a new resource has been created as a result.

Gövde

Content-Type: application/json
agent_session_id string gerekli

The session identifier.

version_indicator version_ref gerekli

Version indicator determining which agent version backs the session.

Aşağıdakilerden biri:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum gerekli

Discriminator value for version_ref.

version_ref
agent_version string gerekli

The agent version identifier returned by the agent version APIs.

status string | enum gerekli

The status of an agent session.

Aşağıdakilerden biri:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer gerekli

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer gerekli

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer gerekli

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Gövde

Content-Type: application/json
error OpenAI.Error gerekli
code string | null gerekli
message string gerekli
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Aşağıdakilerden biri:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string gerekli

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Gövde

Content-Type: application/json
error OpenAI.Error gerekli
code string | null gerekli
message string gerekli
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Aşağıdakilerden biri:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string gerekli

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

İstek

POST /agents/{agent_name}/endpoint/sessions HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
tr-tr
Gizlilik Tercihleriniz
  • AI Bildirim
  • Önceki Sürümler
  • Blog
  • Katkıda Bulunun
  • Gizlilik
  • Tüketici Sağlığı Gizliliği
  • Kullanım Koşulları
  • Ticari Markalar
  • © Microsoft 2026